blfwk::Progress Class Reference

Contains the callback function for progress and abort phase. More...

`#include <Command.h>`

## Public Member Functions

| Progress ()
| Default constructor.
| Progress (void(*callback)(int, int, int), bool *abortPhase)
| Constructor with initial callback.
| ~Progress ()
| Default destructor.
void | progressCallback (int percentage)
| execute the progress callback function. More...
bool | abortPhase (void)
| Check whether the data phase is canceled.
void | registerCallback (void(*callback)(int, int, int), bool *abortPhase)

## Public Attributes

int | m_segmentIndex
| Index of data segment in progressing.
int | m_segmentCount
| The number of data segments.

## Detailed Description

Contains the callback function for progress and abort phase.

## Member Function Documentation

void blfwk::Progress::progressCallback | ( | int | percentage | ) |

inline

execute the progress callback function.

Parameters

  percentage | the percentage of current executed progress.

void blfwk::Progress::registerCallback | ( | void(*)(int, int, int) | callback,
|  | bool * | abortPhase
| ) |  |

inline

initialized the progress callback function and the variable of controlling data phase.

Parameters

  callback | The progress callback function.
  abortPhase | The pointer pointing to a variable controlling whether abort current data phase.

The documentation for this class was generated from the following file:

- Command.h